Fraud Release Order - Fabric

Fraud Release Order

cURL

curl --request POST \
  --url https://prod01.oms.fabric.inc/api/v2/fraud/release \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "orderNumber": "<string>",
  "channel": "<string>",
  "tenant": "<string>",
  "target": {
    "serviceName": "<string>",
    "serviceAttributes": {}
  }
}
'```

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/fraud/release"

payload = {
    "orderNumber": "<string>",
    "channel": "<string>",
    "tenant": "<string>",
    "target": {
        "serviceName": "<string>",
        "serviceAttributes": {}
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    orderNumber: '<string>',
    channel: '<string>',
    tenant: '<string>',
    target: {serviceName: '<string>', serviceAttributes: {}}
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/fraud/release', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response

200

{
  "status": "SUCCESS",
  "message": "Order has been cancelled",
  "errors": "[MerchantId is not configured]"
}

Authorizations

Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

orderNumber
string

channel
string

tenant
string

target
object

Response Fields